Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:32 2009

## Asterisk developer's documentation

# ast_rtp Struct Reference

Collaboration diagram for ast_rtp:

[legend]

## Data Fields

ast_rtp_callback | callback
struct rtpPayloadType | current_RTP_PT [MAX_RTP_PT]
void * | data
int | dtmfcount
unsigned int | dtmfduration
struct timeval | dtmfmute
struct ast_frame | f
unsigned int | flags
struct io_context * | io
int * | ioid
unsigned int | lastdigitts
unsigned int | lasteventendseqn
unsigned int | lasteventseqn
unsigned int | lastividtimestamp
unsigned int | lastovidtimestamp
int | lastrxformat
unsigned int | lastrxts
unsigned int | lastts
int | lasttxformat
int | nat
unsigned char | rawdata [8192+AST_FRIENDLY_OFFSET]
char | resp
struct ast_rtcp * | rtcp
int | rtp_lookup_code_cache_code
int | rtp_lookup_code_cache_isAstFormat
int | rtp_lookup_code_cache_result
int | rtp_offered_from_local
struct timeval | rxcore
unsigned short | rxseqno
unsigned int | rxssrc
int | s
struct sched_context * | sched
unsigned short | seqno
struct ast_smoother * | smoother
unsigned int | ssrc
struct sockaddr_in | them
struct timeval | txcore
struct sockaddr_in | us

## Detailed Description

Definition at line 86 of file rtp.c.

## Field Documentation

ast_rtp_callback callback

Definition at line 122 of file rtp.c.

Referenced by ast_rtp_set_callback(), and rtpread().

struct rtpPayloadType current_RTP_PT[MAX_RTP_PT]`[read]`

Definition at line 123 of file rtp.c.

Referenced by ast_rtp_get_current_formats(), ast_rtp_lookup_code(), ast_rtp_pt_clear(), ast_rtp_pt_default(), ast_rtp_set_m_type(), and ast_rtp_set_rtpmap_type().

void* data

Definition at line 121 of file rtp.c.

Referenced by ast_rtp_set_data(), and rtpread().

int dtmfcount

Definition at line 103 of file rtp.c.

Referenced by ast_rtp_read(), ast_rtp_reset(), process_cisco_dtmf(), and process_rfc2833().

unsigned int dtmfduration

Definition at line 104 of file rtp.c.

Referenced by ast_rtp_reset(), process_rfc2833(), and send_dtmf().

struct timeval dtmfmute`[read]`

Definition at line 113 of file rtp.c.

Referenced by ast_rtp_reset(), ast_rtp_sendcng(), ast_rtp_senddigit(), and send_dtmf().

struct ast_frame f`[read]`

Definition at line 89 of file rtp.c.

Referenced by ast_rtp_read(), process_rfc3389(), and send_dtmf().

unsigned int flags

Definition at line 106 of file rtp.c.

struct io_context* io`[read]`

Definition at line 120 of file rtp.c.

Referenced by ast_rtp_destroy(), and ast_rtp_new_with_bindaddr().

int* ioid

Definition at line 115 of file rtp.c.

Referenced by ast_rtp_destroy(), and ast_rtp_new_with_bindaddr().

unsigned int lastdigitts

Definition at line 95 of file rtp.c.

Referenced by ast_rtp_raw_write(), ast_rtp_reset(), and ast_rtp_senddigit().

unsigned int lasteventendseqn

Definition at line 100 of file rtp.c.

Referenced by ast_rtp_reset(), and process_rfc2833().

unsigned int lasteventseqn

Definition at line 99 of file rtp.c.

Referenced by ast_rtp_read(), and ast_rtp_reset().

unsigned int lastividtimestamp

Definition at line 97 of file rtp.c.

Referenced by ast_rtp_read(), and ast_rtp_reset().

unsigned int lastovidtimestamp

Definition at line 98 of file rtp.c.

Referenced by ast_rtp_raw_write(), and ast_rtp_reset().

int lastrxformat

Definition at line 102 of file rtp.c.

Referenced by ast_rtp_read(), ast_rtp_reset(), and process_rfc3389().

unsigned int lastrxts

Definition at line 96 of file rtp.c.

Referenced by ast_rtp_read(), and ast_rtp_reset().

unsigned int lastts

Definition at line 94 of file rtp.c.

Referenced by ast_rtp_raw_write(), ast_rtp_reset(), and ast_rtp_sendcng().

int lasttxformat

Definition at line 101 of file rtp.c.

Referenced by ast_rtp_reset(), and ast_rtp_write().

int nat

Definition at line 105 of file rtp.c.

Referenced by ast_rtcp_read(), ast_rtp_raw_write(), ast_rtp_read(), and ast_rtp_setnat().

unsigned char rawdata[8192+AST_FRIENDLY_OFFSET]

Definition at line 90 of file rtp.c.

Referenced by ast_rtp_read(), and process_rfc3389().

char resp

Definition at line 88 of file rtp.c.

Referenced by ast_rtp_read(), process_cisco_dtmf(), process_rfc2833(), and send_dtmf().

struct ast_rtcp* rtcp`[read]`

Definition at line 129 of file rtp.c.

Referenced by ast_rtcp_fd(), ast_rtcp_read(), ast_rtp_destroy(), ast_rtp_new_with_bindaddr(), ast_rtp_set_peer(), and ast_rtp_stop().

int rtp_lookup_code_cache_code

Definition at line 126 of file rtp.c.

Referenced by ast_rtp_lookup_code(), ast_rtp_pt_clear(), and ast_rtp_pt_default().

int rtp_lookup_code_cache_isAstFormat

a cache for the result of rtp_lookup_code():

Definition at line 125 of file rtp.c.

Referenced by ast_rtp_lookup_code(), ast_rtp_pt_clear(), and ast_rtp_pt_default().

int rtp_lookup_code_cache_result

Definition at line 127 of file rtp.c.

Referenced by ast_rtp_lookup_code(), ast_rtp_pt_clear(), and ast_rtp_pt_default().

int rtp_offered_from_local

Definition at line 128 of file rtp.c.

Referenced by ast_rtp_offered_from_local().

struct timeval rxcore`[read]`

Definition at line 111 of file rtp.c.

Referenced by ast_rtp_reset(), and calc_rxstamp().

unsigned short rxseqno

Definition at line 118 of file rtp.c.

Referenced by ast_rtp_read(), ast_rtp_reset(), and ast_rtp_set_peer().

unsigned int rxssrc

Definition at line 93 of file rtp.c.

Referenced by ast_rtp_read().

int s

Definition at line 87 of file rtp.c.

Referenced by ast_rtp_destroy(), ast_rtp_fd(), ast_rtp_new_with_bindaddr(), ast_rtp_raw_write(), ast_rtp_read(), ast_rtp_sendcng(), ast_rtp_senddigit(), and ast_rtp_settos().

struct sched_context* sched`[read]`

Definition at line 119 of file rtp.c.

Referenced by ast_rtp_new_with_bindaddr().

unsigned short seqno

Sequence number, RFC 3550, page 13.

Definition at line 117 of file rtp.c.

Referenced by ast_rtp_new_with_bindaddr(), ast_rtp_raw_write(), ast_rtp_reset(), ast_rtp_sendcng(), and ast_rtp_senddigit().

struct ast_smoother* smoother`[read]`

Definition at line 114 of file rtp.c.

Referenced by ast_rtp_destroy(), and ast_rtp_write().

unsigned int ssrc

Synchronization source, RFC 3550, page 10.

Definition at line 92 of file rtp.c.

Referenced by ast_rtp_new_with_bindaddr(), ast_rtp_raw_write(), ast_rtp_sendcng(), and ast_rtp_senddigit().

struct sockaddr_in them`[read]`

Socket representation of the remote endpoint.

Definition at line 110 of file rtp.c.

Referenced by ast_rtp_get_peer(), ast_rtp_new_with_bindaddr(), ast_rtp_raw_write(), ast_rtp_read(), ast_rtp_sendcng(), ast_rtp_senddigit(), ast_rtp_set_peer(), ast_rtp_stop(), ast_rtp_write(), process_rfc3389(), and send_dtmf().

struct timeval txcore`[read]`

Definition at line 112 of file rtp.c.

Referenced by ast_rtp_reset(), and calc_txstamp().

struct sockaddr_in us`[read]`

Socket representation of the local endpoint.

Definition at line 108 of file rtp.c.

Referenced by ast_rtp_get_us(), and ast_rtp_new_with_bindaddr().

The documentation for this struct was generated from the following file:

- rtp.c